View Issue Details

IDProjectCategoryView StatusLast Update
0001108Far ManagerDelete files/folderspublic2012-11-19 00:48
ReporterangweAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001108: При использовании Wipe (Alt-del) на папке, операция (и весь фар) зависает.
DescriptionЗависает, если внутри этой папки есть файлы, к которым нет доступа. Выводится сообщение об ошибке, и после нажатия Skip, дальше ничего не стирается.
TagsNo tags attached.
Build2709

Relationships

related to 0001062 closedDrKnS Проблема при уничтожении папки PREFETCH 

Activities

snoitaleR

2009-10-15 21:17

reporter   bugnote:0004253

Last edited: 2012-05-29 21:36

View 2 revisions

Я думаю в моем инцинденте 0001062 рассмотрена та же проблема...

2useven10

2012-05-30 14:32

developer   bugnote:0009296

с доступом (точнее с его отсутствием) не воспроизводится на far3.
но почти описанное поведение (без зацикливания) получается, если удаляемый файл открыт (например вьювером в другой копии фара). Тогда некорректно срабатывает GetFileAttributes() - на существующем переименованом файле (он будет удалён только при выходе из вьювера) получаем INVALID_FILE_ATTRIBUTES и в итоге все следующие временные файлы имеют то же имя, что и уже существующий, как результат - после получения ошибки файлы больше не удаляются.
Надо переделать получение временного имени файла, например использовать там FileFind.

2useven10

2012-05-30 20:18

developer   bugnote:0009297

build 2709.

Issue History

Date Modified Username Field Change
2009-10-11 13:31 angwe New Issue
2009-10-15 21:17 snoitaleR Note Added: 0004253
2012-05-29 21:36 2useven10 Note Edited: 0004253 View Revisions
2012-05-30 14:32 2useven10 Note Added: 0009296
2012-05-30 20:18 2useven10 Note Added: 0009297
2012-05-30 20:18 2useven10 Assigned To => 2useven10
2012-05-30 20:18 2useven10 Status new => feedback
2012-05-31 21:01 2useven10 Relationship added related to 0001062
2012-11-19 00:48 DrKnS Build => 2709
2012-11-19 00:48 DrKnS Status feedback => closed
2012-11-19 00:48 DrKnS Resolution open => fixed
2012-11-19 00:48 DrKnS Fixed in Version => 3.0